import os
import sys

from .base import *

DEBUG = True

DATABASES = {
    # add a local.py file with a DATABASES section
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite'),
    }
}

try:
    RUNNING_DEVSERVER = (sys.argv[1] == 'runserver')
except IndexError:
    RUNNING_DEVSERVER = False

INSTALLED_APPS += (
    'django_extensions',
)
DEBUG_TOOLBAR_PATCH_SETTINGS = False
ENABLE_DEBUG_TOOLBAR = True
if ENABLE_DEBUG_TOOLBAR:
    INSTALLED_APPS += (
        'debug_toolbar',
    )

    TEMPLATES[0]['OPTIONS']['context_processors'] += ["django.template.context_processors.debug"]
    MIDDLEWARE[0:0] = ['debug_toolbar.middleware.DebugToolbarMiddleware']

TEMPLATES[0]['DIRS'].insert(0, os.path.join(PROJECT_DIR, "templates_dev"))

STATICFILES_DIRS = (
    # Put strings here, like "/home/html/static" or "C:/www/django/static".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
    os.path.join(PROJECT_DIR, "static"),
)

INTERNAL_IPS = [
    '127.0.0.1',
]

SSL_ENABLED = False
